> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usetuner.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls

> List an agent's calls with filtering, sorting, and pagination.



## OpenAPI

````yaml https://api.usetuner.ai/public/openapi.json get /api/v1/workspaces/{workspace_id}/agents/{agent_id}/calls/
openapi: 3.1.0
info:
  title: My Public API
  version: 1.0.0
servers:
  - url: https://api.usetuner.ai
security: []
tags:
  - name: calls
    x-group: Calls
  - name: workspaces
    x-group: Workspaces
  - name: agent-settings
    x-group: Agent Settings
  - name: agents
    x-group: Agents
  - name: simulation
    x-group: Simulation
  - name: providers
    x-group: Providers
paths:
  /api/v1/workspaces/{workspace_id}/agents/{agent_id}/calls/:
    get:
      tags:
        - calls
        - calls
      summary: List Calls
      description: List an agent's calls with filtering, sorting, and pagination.
      operationId: >-
        get_agent_call_logs_api_v1_workspaces__workspace_id__agents__agent_id__calls__get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: integer
            description: Tuner's internal numeric ID for the agent.
            title: Agent Id
          description: Tuner's internal numeric ID for the agent.
        - name: workspace_id
          in: path
          required: true
          schema:
            type: integer
            description: Workspace ID. Find this in Workspace > General Settings.
            title: Workspace Id
          description: Workspace ID. Find this in Workspace > General Settings.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Items per page
            default: 10
            title: Page Size
          description: Items per page
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search by call ID
            title: Search
          description: Search by call ID
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Start date (ISO 8601)
            title: Start Date
          description: Start date (ISO 8601)
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: End date (ISO 8601)
            title: End Date
          description: End date (ISO 8601)
        - name: min_duration_seconds
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: Minimum duration in seconds
            title: Min Duration Seconds
          description: Minimum duration in seconds
        - name: max_duration_seconds
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: Maximum duration in seconds
            title: Max Duration Seconds
          description: Maximum duration in seconds
        - name: call_intents
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated list of call intents
            title: Call Intents
          description: Comma-separated list of call intents
        - name: call_outcomes
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated list of call outcomes
            title: Call Outcomes
          description: Comma-separated list of call outcomes
        - name: sentiment
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Sentiment filter (positive/neutral/negative/unknown)
            title: Sentiment
          description: Sentiment filter (positive/neutral/negative/unknown)
        - name: labels_and_redflags
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated list of labels and red flags
            title: Labels And Redflags
          description: Comma-separated list of labels and red flags
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            description: Sort field
            default: start_time
            title: Sort By
          description: Sort field
        - name: sort_order
          in: query
          required: false
          schema:
            type: string
            description: Sort order (asc/desc)
            default: desc
            title: Sort Order
          description: Sort order (asc/desc)
        - name: simulated
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter simulation calls (true/false)
            title: Simulated
          description: Filter simulation calls (true/false)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallLogsListResponse'
        '400':
          description: >-
            `end_date` is before `start_date`, or `sentiment` is not one of
            `positive`, `neutral`, `negative`, `unknown`.
          content:
            application/json:
              example:
                detail: end_date must be after start_date
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              example:
                detail: Not authenticated
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: You do not have access to this workspace.
          content:
            application/json:
              example:
                detail: User does not have access to workspace 42
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Agent not found.
          content:
            application/json:
              example:
                detail: Agent with ID 17 not found
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Bearer: []
components:
  schemas:
    CallLogsListResponse:
      properties:
        calls:
          items:
            $ref: '#/components/schemas/CallLogResponse'
          type: array
          title: Calls
          description: List of call logs
        total:
          type: integer
          title: Total
          description: Total count of matching calls
        page:
          type: integer
          title: Page
          description: Current page number
        page_size:
          type: integer
          title: Page Size
          description: Items per page
        total_pages:
          type: integer
          title: Total Pages
          description: Total number of pages
      type: object
      required:
        - calls
        - total
        - page
        - page_size
        - total_pages
      title: CallLogsListResponse
      description: Paginated call logs response.
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Human-readable description of what went wrong.
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error body returned when a request fails.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CallLogResponse:
      properties:
        id:
          type: integer
          title: Id
          description: Database ID
        provider_call_id:
          type: string
          title: Provider Call Id
          description: Provider's call ID
        intent:
          anyOf:
            - type: string
            - type: 'null'
          title: Intent
          description: Call intent
        outcome:
          anyOf:
            - $ref: '#/components/schemas/CallOutcome'
            - type: 'null'
          description: Call outcome with value and type
        tags:
          items:
            $ref: '#/components/schemas/CallTag'
          type: array
          title: Tags
          description: List of call tags with value and type
        sentiment:
          anyOf:
            - type: string
            - type: 'null'
          title: Sentiment
          description: User sentiment
        ended_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Ended Reason
          description: Disconnection reason
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
          description: >-
            Call duration in milliseconds (canonical unit). Frontend converts
            for display.
        cost:
          type: number
          title: Cost
          description: >-
            Call cost in cents (canonical unit). Frontend converts to dollars
            for display.
          default: 0
        start_time:
          type: string
          title: Start Time
          description: Formatted timestamp (M/D HH:MM)
        agent_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Agent Id
          description: Agent database ID
        caller_phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Caller Phone Number
          description: Caller phone number (for phone_call type)
        is_simulated:
          type: boolean
          title: Is Simulated
          description: True if this call is a simulation call
          default: false
        pii_redaction_status:
          anyOf:
            - type: string
              enum:
                - redacted
                - partial_failure
                - failed
            - type: 'null'
          title: Pii Redaction Status
          description: >-
            PII redaction outcome. Null when redaction was not attempted
            (disabled workspace, simulation call, or pre-feature call);
            otherwise one of 'redacted', 'partial_failure', or 'failed'.
      type: object
      required:
        - id
        - provider_call_id
        - start_time
      title: CallLogResponse
      description: Individual call log entry response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CallOutcome:
      properties:
        value:
          type: string
          title: Value
          description: Call outcome value/label
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Call outcome type (e.g., 'success', 'failure')
      type: object
      required:
        - value
      title: CallOutcome
      description: Call outcome with value and type.
    CallTag:
      properties:
        value:
          type: string
          title: Value
          description: Tag value/key
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Tag type (e.g., 'red_flag', 'label')
      type: object
      required:
        - value
      title: CallTag
      description: Call tag with value and type.
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Use Tuner API key (tr_api_...) or user session token. Find your API key
        in Workspace Settings > API Keys.
      scheme: bearer

````